Hanzo
API Reference

Hanzo Projects API

Org-scoped control plane for buildable/deployable static sites (hanzoai/cloud projects).

Org-scoped control plane for buildable/deployable static sites (hanzoai/cloud projects).

Hanzo Projects API · All API references →

Base URLhttps://api.hanzo.ai
Version1.0.0
Operations10

Authentication

  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://api.hanzo.ai

Endpoints

Deployments

MethodEndpointDescription
POST/v1/projects/{slug}/deployDeploy a project live
GET/v1/projects/{slug}/deploymentsList deployments for a project
GET/v1/projects/{slug}/deployments/{id}Get a deployment
POST/v1/projects/{slug}/deployments/{id}/completeCI completion hook for a git deployment

Projects

MethodEndpointDescription
GET/v1/projectsList projects
POST/v1/projectsCreate a project
POST/v1/projects/forkFork a starter template into a new project
GET/v1/projects/{slug}Get a project
PATCH/v1/projects/{slug}Update a project
DELETE/v1/projects/{slug}Delete a project

All Hanzo APIs · OpenAPI spec

How is this guide?

On this page